<?xml version="1.0" encoding="utf-8"?><!--
  ~ Aurora Droid
  ~ Copyright (C) 2019, Rahul Kumar Patel <whyorean@gmail.com>
  ~
  ~ Aurora Droid is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ Aurora Droid is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU General Public License
  ~ along with Aurora Droid.  If not, see <http://www.gnu.org/licenses/>.
  -->

<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.aurora.adroid">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />
    <uses-permission android:name="android.permission.REQUEST_DELETE_PACKAGES" />
    <uses-permission android:name="android.permission.INSTALL_PACKAGES" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />

    <application
        android:name=".AuroraApplication"
        android:allowBackup="true"
        android:fullBackupContent="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:requestLegacyExternalStorage="true"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        tools:targetApi="q">
        <activity
            android:name=".activity.AuroraActivity"
            android:configChanges="locale|orientation"
            android:label="@string/app_name"
            android:launchMode="singleTop">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.BROWSABLE" />
                <category android:name="android.intent.category.DEFAULT" />

                <data android:scheme="http" />
                <data
                    android:scheme="HTTP"
                    tools:ignore="AppLinkUrlError" />
                <data android:scheme="https" />
                <data
                    android:scheme="HTTPS"
                    tools:ignore="AppLinkUrlError" />

                <data android:host="*" />

                <data android:path="/fdroid/repo" />
                <data android:pathPattern="/fdroid/repo/*" />
                <data android:pathPattern="/.*/fdroid/repo" />
                <data android:pathPattern="/.*/fdroid/repo/*" />
                <data android:pathPattern="/.*/.*/fdroid/repo" />
                <data android:pathPattern="/.*/.*/fdroid/repo/*" />
                <data android:pathPattern="/.*/.*/.*/fdroid/repo" />
                <data android:pathPattern="/.*/.*/.*/fdroid/repo/*" />
                <data android:pathPattern="/.*/.*/.*/.*/fdroid/repo" />
                <data android:pathPattern="/.*/.*/.*/.*/fdroid/repo/*" />

                <data android:path="/fdroid/archive" />
                <data android:pathPattern="/fdroid/archive/*" />
                <data android:pathPattern="/.*/fdroid/archive" />
                <data android:pathPattern="/.*/fdroid/archive/*" />
                <data android:pathPattern="/.*/.*/fdroid/archive" />
                <data android:pathPattern="/.*/.*/fdroid/archive/*" />
                <data android:pathPattern="/.*/.*/.*/fdroid/archive" />
                <data android:pathPattern="/.*/.*/.*/fdroid/archive/*" />
                <data android:pathPattern="/.*/.*/.*/.*/fdroid/archive" />
                <data android:pathPattern="/.*/.*/.*/.*/fdroid/archive/*" />

                <data android:path="/FDROID/REPO" />
                <data android:pathPattern="/.*/FDROID/REPO" />
                <data android:pathPattern="/.*/.*/FDROID/REPO" />
                <data android:pathPattern="/.*/.*/.*/FDROID/REPO" />
            </intent-filter>
        </activity>
        <activity android:name=".activity.DetailsActivity">
            <intent-filter
                android:autoVerify="true"
                android:configChanges="locale|orientation"
                tools:ignore="UnusedAttribute">
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data android:scheme="https" />
                <data android:host="f-droid.org" />
                <data android:host="staging.f-droid.org" />
                <data android:host="www.f-droid.org" />
            </intent-filter>
        </activity>
        <activity android:name=".activity.FullscreenImageActivity" />
        <activity android:name=".activity.QRActivity" />
        <activity
            android:name=".activity.IntroActivity"
            android:screenOrientation="portrait" />
        <activity android:name=".activity.SettingsActivity" />
        <activity
            android:name=".activity.DownloadsActivity"
            android:configChanges="orientation|locale"
            android:launchMode="singleTop" />
        <activity android:name=".activity.RepoListActivity" />
        <activity android:name=".activity.RepoDetailsActivity" />
        <activity android:name=".activity.RepoAddActivity" />
        <activity android:name=".activity.GenericAppActivity" />
        <activity android:name=".activity.SearchActivity" />
        <activity android:name=".activity.ContainerActivity" />

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.fileProvider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/paths" />
        </provider>

        <receiver android:name=".receiver.InstallReceiver" />
        <receiver android:name=".receiver.DownloadCancelReceiver" />
        <receiver android:name=".receiver.DownloadPauseReceiver" />
        <receiver android:name=".receiver.DownloadResumeReceiver" />
        <receiver android:name=".receiver.UpdatesReceiver" />
        <receiver
            android:name=".receiver.BootReceiver"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />
            </intent-filter>
        </receiver>

        <service android:name=".installer.InstallerService" />
        <service android:name=".service.RepoSyncService" />
    </application>
</manifest>